This project is read-only.
2
Vote

Incompatibility Issues

description

I've recently got the latest Lucene.NET version from the Nuget and got a bunch of exceptions:
  1. Field not found: 'Lucene.Net.Util.Version.LUCENE_29'.
  2. Could not load type 'Occur' from assembly 'Lucene.Net, Version=3.0.3.0, Culture=neutral, PublicKeyToken=85089178b9ac3181'.
and so on.

comments

MaximRouiller wrote Apr 2, 2013 at 8:49 PM

Might be a bit late to answer but SimpleLucene is based on Lucene.NET 2.9.

I've forked it and updated the code to work with 3.0.3.0.

The fork is available here: https://github.com/MaximRouiller/SimpleLucene

The nuget package is not pushed to nuget.org yet as I don't feel good simply renaming the project yet not taking ownership of it. However, you can find the nupkg here:

https://github.com/MaximRouiller/SimpleLucene/raw/master/SimpleLucene.1.1.0.0.nupkg

retroviz wrote Apr 2, 2013 at 9:22 PM

Hi Maxim,

I hope to migrate SimpleLucene over to GitHub in the next few weeks. The current (empty) repository can be found at http://github.com/benfoster/SimpleLucene. I'll then update the SimpleLucene package on NuGet.